/* $Id: rand_tester.cpp,v 1.4 2004/05/11 12:42:49 chris Exp $
 *
 * shapsim - Amorphous shape mapping computer simulator and analyzer.
 * Copyright (C) 2004 Chris Frost <frost@cs.virginia.edu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "rand_utils.h"
#include <iostream>
#include <assert.h>
using namespace std;

// NOTE: as is, this doesn't test rand_func::operator(double).
int main(int argc, char **argv)
{
	if(3 != argc)
	{
		cerr << "Usage: rand_tester <number of rnd numbers> <max value of num>"
			  << endl;
		exit(1);
	}

 	const int num_rnds = atoi(argv[1]);
	const int max_rnd  = atoi(argv[2]);

	global_randf().reseed(42);

	for(int i=0; i<num_rnds; ++i)
		cout << global_randf()(max_rnd) << " ";
	cout << endl;

	return 0;
}
